Skip to content

Elenco delle mod compatibili con Baldur's Gate 2: Enhanced Edition

1235

Comments

  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @improbabile
    Ben fatto, caro :)
  • SarnindSarnind Member Posts: 255
    ragazzi tutti i link che portavano al sito degli spellhold studios nn vanno più, ho paura che il sito sia stato chiuso o abbandonato
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @Sarnind
    E' tutto sotto controllo - il sito è down, ma stanno lavorando per ripristinarlo. Capita non di rado a SHS.
  • SarnindSarnind Member Posts: 255
    porca miseria , ho da poco finito bg 1 e volevo iniziare bg2, mi servono solo alcuni mod. Qualcuno potrebbe passarmeli che domani devo partire una settimana fuori per lavoro XD ?
  • SarnindSarnind Member Posts: 255
    nello specifico mi serve almateira restoration project
  • SarnindSarnind Member Posts: 255
  • SarnindSarnind Member Posts: 255
    edited August 2019
    non so per quale arcano motivo ma mi da errorre nell istallazione di scs
  • SarnindSarnind Member Posts: 255
    SFO: Creating EFF file(s) dw#sumya...

    ...done

    SFO: Cloning SPL file(s) SPWI707=>dw#cacof and applying patch(es)...

    ERROR: Failure(" is not an integer, but one was expected") in apply_standard_function: inputs were func=parameter1, arguments=
    ERROR: [SPWI707.SPL] -> [override/dw#cacof.SPL] Patching Failed (COPY) (Failure(" is not an integer, but one was expected"))
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    ERROR: [.../stratagems-inline/fiend_spl_table] -> [weidu_external/workspace] Patching Failed (COPY) (Failure(" is not an integer, but one was expected"))
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.

    ERROR Installing [Inizializza componenti di IA (richiesto per tutte le componenti tattiche e di IA)], rolling back to previous state
    Will uninstall 2432 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 5900.
    Uninstalled 2432 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 5900.
    ERROR: Failure(" is not an integer, but one was expected")
    Please make a backup of the file: SETUP-STRATAGEMS.DEBUG and look for support at: For help troubleshooting installation problems, go to the Sword Coast Stratagems forum at forums.gibberlings3.net.
    Using Language [Italiano (Stoneangel/Improbabile)]

    Install Component [Inizializza componenti di IA (richiesto per tutte le componenti tattiche e di IA)]?
    nstall, or [N]ot Install or [Q]uit?





  • SarnindSarnind Member Posts: 255
    a quanto ho capito è qualcosa che va a cozzare con qualche mod che ho installato
  • SarnindSarnind Member Posts: 255
    qualcuno esperto del settore?
  • SarnindSarnind Member Posts: 255
    ultimo aggiornamento: sono in pratica 6 ore che sto riprovando e riprovando e finalmente sembra che ora vada. ho dovuto fare diverse prove e provare ogni singola mod se funzionava con scs , i miei dubbi sono su alcune opzioni di rogue rebalancing e Atweaks
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @Sarnind
    Ho segnalato il problema all'autore della mod. Vediamo cosa risponde. (PS: in futuro, per evitare di spammare con molteplici post consecutivi, puoi editare il tuo messaggio posizionandoti nell'estremità alta del tuo post, dove comparirà una rotellina con scritto "Edit").
    gorgonzola
  • SarnindSarnind Member Posts: 255
    edited August 2019
    Finalmente ho iniziato la mia partita definitiva a bg2 . La fine di un epoca ?. Poi inizierò i due divinity original sin.
    @Aedan ho un bug gravissimo ,nn mi calcola più gli attacchi per round , mi da solamente il classico della specializzazione, quelli bonus dei livelli combattenti e maestria nulla
    Mi sa che dovrò reinstallare tutto?
    Post edited by Sarnind on
  • SarnindSarnind Member Posts: 255
    Ho trovato l errore , se si installa l opzione di cdtweak tutti possono accedere alla specializzazione dell arma(i due punticini) sballa tutto il sistema, assegna mezzo attacco a round a tutti con due punti(se possono accedere a due punti) ma nn assegna tutti gli altri attacchi in più, livelli combattenti(7 e13) e l altro mezzo attacco per la maestria.
    AedanDavide
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @Sarnid
    Sto cercando di approfondire con l'autore della mod SCS il problema che hai segnalato.
    Puoi allegare il file weidu.log? Quale versione della mod stai usando?
  • ArthasArthas Member Posts: 1,091
    Any chance you have translators available for Sovereign mod? It's a polish mod
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @Arthas
    May I ask you a link to the mod page?
    Also, we translate just from English in Italian :)
  • ArthasArthas Member Posts: 1,091
    http://baldur.cob-bg.pl/node/1261

    The mod is big and only in polish. That's why I was asking if you had available people to actually translate it
    Aedan
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    I see.
    Sorry, we translate just from English in Italian. I cannot help you with that.
    Arthas
  • improbabileimprobabile Member, Translator (NDA) Posts: 195
    @Aedan
    Ciao, è un pezzo che non ci si sente.
    Nel frattempo come ti avevo preannunciato ho iniziato una partita a BG2EE. Prima di farlo ho aggiornato la traduzione di alcune mod correggendo anche diversi refusi.
    Le mod interessate e la loro versione sono queste (in ordine alfabetico):

    Adalons Blood 14
    Almateria's Restoration Project 8.4
    Ascension 2.09
    Banter Packs 16
    Tweaks Anthology 9.0
    Elistraees Song 6.6
    Encounters 1.10
    I Shall Never Forget 5.7
    Innershade 10.0
    Shard of Ice 7.0
    SCS 32.7
    Tales of the Deep Gardens 12.4
    The White Queen 6.6
    Tower of Deception 4.0.1
    Unfinished Business 27
    Quest Pack 3.4

    Qui il link per scaricare tutte quelle che volete (in attesa che gli autori le aggiornino, se mai lo faranno :) ):

    https://www.dropbox.com/sh/pwruyalt0uc8zjv/AAAv7rzJ2WjMchlMaTWBi8u5a?dl=0
    Aedangorgonzola
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @improbabile
    Wonderful!
    C'è la possibilità che tu abbia corretto anche i caratteri accentati? :)
    gorgonzola
  • improbabileimprobabile Member, Translator (NDA) Posts: 195
    edited February 2020
    Certo, fatto.

    Con un'avvertenza: con le ultime versioni del WEIDU per un paio di mod (Encounters e Almateria's Restoration Project) non c'è verso di sistemarli. Weidu si ricopia i file tra a modo suo e sballa i caratteri accentati trasformandoli in codice macchina (non c'è codifica del file che tenga). Qualcuno che conosce il linguaggio di programmazione sa come fare?
    Per SCS 32.7 (ho avvisato da tempo DavidW del problema) i selettori della modifica difficoltà (solo quelli) sono tutti senza caratteri accentati per ovviare allo stesso problema.
    Aedangorgonzola
  • DavideDavide Member, Moderator, Translator (NDA) Posts: 1,698
    Se mi dici quali passi dovrei seguire e quello che mi serve (versione WEIDU, SCS?, mod) posso provare a dare un'occhiata.
    Ma per le altre mod i caratteri speciali sono visualizzati correttamente? Ovvero, è un problema solo di alcune mod?
  • improbabileimprobabile Member, Translator (NDA) Posts: 195
    edited March 2020
    @Davide

    Grazie per la proposta di aiuto, ma non so darti molte indicazioni in proposito:

    - le prime due mod che ho citato (Encounters e Almateria's Restoration Project) sono un po' datate la versione la trovi nel link che Aedan ha postato in prima pagina. Quando le si installa WEIDU 2.46 (ultima versione) ricopia i file .tra mettendo un prefisso fl#utf8_ e sballando i caratteri accentati.

    Invece SCS 32.7, tra le altre opzioni, ha quella della gestione avanzata della difficoltà di gioco. Quest'opzione crea un'abilità e utilizzandola si apre una finestra di dialogo con cui impostare nel dettaglio la difficoltà. Solo per queste stringhe i caratteri accentati vengono sballati, mentre il resto delle stringhe (la grande maggioranza) sono a posto. Le stringhe incriminate sono nel file difficulty.tra (ho provato tutte le codifiche ANSI - UTF8, ecc)

    Le altre mod dovrebbero essere tutte a posto.

    @Aedan

    01/03/2020
    Ho ricaricato la traduzione di The White Queen dopo la verifica in gioco (era proprio necessaria)

    23/03/2020
    Ho ricaricato le traduzioni di I Shall Never Forget e Tower of Deception dopo un test in gioco e una ripulitura da refusi vari.
    Ho eliminato la traduzione di Ascension perché è stata implementata dagli autori.

    24/03/2020
    Oggi ho ricaricato la traduzione di Tales of The Deep Gardens dopo un test sul campo e la correzione di alcuni refusi

    PS: veramente belle le quest di TotDG, di ISNF, di TWQ e di ToD. Consigliatissime.
    Post edited by improbabile on
  • nesciociceronesciocicero Member Posts: 11
    Ciao, è la prima volta che scrivo e sono decisamente inesperto nell'ambito mod.

    Volevo chiederti inizialmente se le mod da te elencate in questa e nell'altra pagina sono compatibili con BGEET.

    In seconda cosa, ne ho diverse in più, prese da shsforum, come:
    PER BGEE:
    Dark side of the sword coast
    Nothern tales
    the stone of askavar
    Per BG2EE:
    arena_v1
    Beyond the Law v1.35
    check-the-bodies-3.0
    Fading Promises 8
    Innershade
    Ooze's Lounge
    OSX-Fading Promises 8
    region of terror-v4.0
    Southern Edge v2.30
    Sylmar Battlefield v1.025
    Tales of the Deep Gardens v12.4
    Test Your Mettle-v1.2
    The White Queen v6.6
    Trials of the Luremaster

    Volevo chiederti se ci fossero incompatibilità tra queste o un ordine preciso di installazione o qualsiasi altra problematica.
    Qualsiasi consiglio è ben accetto,
    Ti ringrazio molto in anticipo
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @nesciocicero
    Ciao! Benvenuto :)

    La compatibilità delle mod che elenchi dovrebbe essere precisata nel file Readme di ciascuna di esse.

    Se vuoi giocare con BGEET, devi verificare che le mod siano compatibili.
    Se invece vuoi giocare le singole versioni EE, le mod che citi sono compatibili, ad eccezione di Beyond the Law, Sylmar Battlefield e Fading Promises.
    "Arena" non la conosco.
  • nesciociceronesciocicero Member Posts: 11
    Aedan wrote: »
    @nesciocicero
    Ciao! Benvenuto :)

    La compatibilità delle mod che elenchi dovrebbe essere precisata nel file Readme di ciascuna di esse.

    Se vuoi giocare con BGEET, devi verificare che le mod siano compatibili.
    Se invece vuoi giocare le singole versioni EE, le mod che citi sono compatibili, ad eccezione di Beyond the Law, Sylmar Battlefield e Fading Promises.
    "Arena" non la conosco.

    Ti ringrazio molto per la cortesia.

    Ma in linea generale, quali consigli installare? A me personalmente interessa fare nuove quest, magari molto lunghe.

    E delle tre incompatibili che elenchi, quali consigli di scartare?
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    edited April 2020
    @nesciocicero

    Dunque:
    - Le tre mod incompatibili sono incompatibili proprio con EE: funzionano solo sulle versioni vanilla (non enhanced, per intenderci), quindi andrebbero scartate tutte.
    - Dunque, se sei interessato a mod che aggiungono missioni, per BG2EE quelle riportate nell'OP alla sezione "MOD CHE INTRODUCONO NUOVE MISSIONI" sono ben fatte - a livello personale, consiglio:

    Adalon's Blood
    Assassinations
    Dungeon Crawl
    Eilistraee's Song
    I Shall Never Forget
    Innershade
    Quest Pack
    Shards of Ice
    Tales of the Deep Gardens
    The Sellswords
    The White Queen
    Tower of Deception
    Unfinished Business

    Ti suggerisco di non esagerare con il numero di mod installate se sei alle prime armi :)
    Magari inizia con questa selezione e in futuro prova installazioni più articolate.
    Post edited by Aedan on
  • nesciociceronesciocicero Member Posts: 11
    Ti ringrazio molto, le ho inserite tutte.

    Le uniche per cui ho problemi sono:
    Northern Tales of the Sword Coast
    The Stone of Askavar V2.2

    Se le installo, il gioco non parte. C'è una procedura da seguire o delle altre componenti da aggiungere per farli funzionare?

    Scusa il mio assillo, ma sono totalmente inesperto in materia. Grazie ancora
  • AedanAedan Member, Translator (NDA) Posts: 8,544
    @nesciocicero
    Northern Tales of the Sword Coast sembra richiedere BP-BGT-worldmap. L'hai installato? Altrimenti non funziona.
    Non so invece cosa dirti su The Stone of Askavar - personalmente non lo consiglio: molto povero a livello di writing, non ha una qualità a mio avviso al livello del gioco base e delle altre mod.
Sign In or Register to comment.